"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "JsonManager", {
    enumerable: true,
    get: function() {
        return JsonManager;
    }
});
const _lodash = /*#__PURE__*/ _interop_require_wildcard(require("lodash"));
function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _getRequireWildcardCache(nodeInterop) {
    if (typeof WeakMap !== "function") return null;
    var cacheBabelInterop = new WeakMap();
    var cacheNodeInterop = new WeakMap();
    return (_getRequireWildcardCache = function(nodeInterop) {
        return nodeInterop ? cacheNodeInterop : cacheBabelInterop;
    })(nodeInterop);
}
function _interop_require_wildcard(obj, nodeInterop) {
    if (!nodeInterop && obj && obj.__esModule) {
        return obj;
    }
    if (obj === null || typeof obj !== "object" && typeof obj !== "function") {
        return {
            default: obj
        };
    }
    var cache = _getRequireWildcardCache(nodeInterop);
    if (cache && cache.has(obj)) {
        return cache.get(obj);
    }
    var newObj = {
        __proto__: null
    };
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for(var key in obj){
        if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) {
            var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
            if (desc && (desc.get || desc.set)) {
                Object.defineProperty(newObj, key, desc);
            } else {
                newObj[key] = obj[key];
            }
        }
    }
    newObj.default = obj;
    if (cache) {
        cache.set(obj, newObj);
    }
    return newObj;
}
class JsonManager {
    set(newData) {
        if (!newData) {
            return this._data;
        }
        this._data = newData;
        return this._data;
    }
    merge(newData) {
        _lodash.merge(this._data, newData);
        return this._data;
    }
    get data() {
        return this._data;
    }
    save() {
        this._fs.writeJSON(this._filepath, this._data, /* replacer */ undefined, /* spacing */ 2);
    }
    constructor(filepath, fs, data){
        _define_property(this, "_filepath", void 0);
        _define_property(this, "_fs", void 0);
        _define_property(this, "_data", void 0);
        this._filepath = filepath;
        this._fs = fs;
        this._data = data;
    }
}

//#sourceMappingUrl=./JsonManager.js.map