"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "YeomanConfiguration", {
    enumerable: true,
    get: function() {
        return YeomanConfiguration;
    }
});
function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
// eslint-disable-next-line @typescript-eslint/typedef
const _strings = {
    libraryName: 'libraryName',
    framework: 'framework',
    version: 'version',
    libraryId: 'libraryId',
    environment: 'environment',
    packageManager: 'packageManager',
    useHeft: 'useHeft'
};
class YeomanConfiguration {
    static setStore(yeomanConfiguration) {
        YeomanConfiguration._store = yeomanConfiguration;
    }
    static get libraryName() {
        return YeomanConfiguration._store.get(_strings.libraryName);
    }
    static set libraryName(value) {
        YeomanConfiguration._store.set(_strings.libraryName, value);
    }
    static get version() {
        return YeomanConfiguration._store.get(_strings.version);
    }
    static set version(value) {
        YeomanConfiguration._store.set(_strings.version, value);
    }
    static get libraryId() {
        return YeomanConfiguration._store.get(_strings.libraryId);
    }
    static set libraryId(value) {
        YeomanConfiguration._store.set(_strings.libraryId, value);
    }
    static get environment() {
        return YeomanConfiguration._store.get(_strings.environment);
    }
    static set environment(value) {
        YeomanConfiguration._store.set(_strings.environment, value);
    }
    static get packageManager() {
        return YeomanConfiguration._store.get(_strings.packageManager);
    }
    static set packageManager(value) {
        YeomanConfiguration._store.set(_strings.packageManager, value);
    }
    static get useHeft() {
        return YeomanConfiguration._store.get(_strings.useHeft);
    }
    static set useHeft(value) {
        YeomanConfiguration._store.set(_strings.useHeft, value);
    }
}
_define_property(YeomanConfiguration, "_store", void 0);

//#sourceMappingUrl=./YeomanConfiguration.js.map