import { Log } from '@microsoft/sp-core-library';
import * as React from 'react';

import styles from './<%= componentName %>.module.scss';

export interface I<%= componentName %>Props {
  text: string;
}

const LOG_SOURCE: string = '<%= componentName %>';

export default class <%= componentName %> extends React.Component<I<%= componentName %>Props> {
  public componentDidMount(): void {
    Log.info(LOG_SOURCE, 'React Element: <%= componentName %> mounted');
  }

  public componentWillUnmount(): void {
    Log.info(LOG_SOURCE, 'React Element: <%= componentName %> unmounted');
  }

  public render(): React.ReactElement<I<%= componentName %>Props> {
    return (
      <div className={styles.<%= componentNameCamelCase %>}>
        { this.props.text }
      </div>
    );
  }
}
